Package org.pgpainless.key.generation.type.eddsa

# Enum Class EdDSACurve

java.lang.Object
java.lang.Enum<EdDSACurve>
org.pgpainless.key.generation.type.eddsa.EdDSACurve

All Implemented Interfaces:
  `Serializable`, `Comparable<EdDSACurve>`, `Constable`

public enum EdDSACurve extends Enum<EdDSACurve>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_Ed25519`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBitStrength()`
`String`
`getName()`
`static EdDSACurve`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EdDSACurve[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### _Ed25519

public static final EdDSACurve _Ed25519

## Method Details

### values

public static EdDSACurve[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EdDSACurve valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### getBitStrength

public int getBitStrength()